import request from '@/utils/request'

// 查询累计充放电量列表
export function listSummary(query) {
  return request({
    url: '/summary/summary/list',
    method: 'get',
    params: query
  })
}

// 查询累计充放电量详细
export function getSummary(id) {
  return request({
    url: '/summary/summary/' + id,
    method: 'get'
  })
}

// 新增累计充放电量
export function addSummary(data) {
  return request({
    url: '/summary/summary',
    method: 'post',
    data: data
  })
}

// 修改累计充放电量
export function updateSummary(data) {
  return request({
    url: '/summary/summary',
    method: 'put',
    data: data
  })
}

// 删除累计充放电量
export function delSummary(id) {
  return request({
    url: '/summary/summary/' + id,
    method: 'delete'
  })
}
